=== debian/changelog ===
python-laszip (0.2.3-1build4) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:58:48 +0000

python-laszip (0.2.3-1build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 23:53:18 +0000

python-laszip (0.2.3-1build2) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Nov 2024 04:37:37 +0100

python-laszip (0.2.3-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 10:44:32 +0000

python-laszip (0.2.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1055995)

 -- Timo Röhling <roehling@debian.org>  Wed, 15 Nov 2023 20:22:34 +0100
