=== debian/control ===
Source: python-laszip
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 dh-python,
 dh-sequence-python3,
 liblaszip-dev,
 libpython3-all-dev,
 ninja-build,
 pybind11-dev,
 pybuild-plugin-pyproject,
 python3-all-dev:any,
 python3-pathspec,
 python3-pyproject-metadata,
 python3-scikit-build-core,
Homepage: https://github.com/tmontaigu/laszip-python
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/python-laszip.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-laszip
Description: Python bindings for LASzip
 This module provides LASzip bindings in Python, primarily intended for use
 with laspy. LASzip is a specialized compression for the ASPRS LAS file format
 to store data from LiDAR sensors much more efficiently.

Package: python3-laszip
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python3:Depends},
Enhances:
 python3-laspy,
Description: ${source:Synopsis} (Python 3 module)
 ${source:Extended-Description}
 .
 This package installs the Python 3 module.
