## python-laszip 0.2.4+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,16 @@
 endif()
 
 find_package(pybind11)
-find_package(LASzip MODULE REQUIRED)
+
+option(USE_VENDORED_LASZIP "Build by building and linking to the vendored LASZip" ON)
+
+if (USE_VENDORED_LASZIP)
+    option(LASZIP_BUILD_STATIC "Build LASZip as static lib" ON)
+    set(LASZIP_VENDOR "LASzip-3.4.4")
+    add_subdirectory(src/vendor/${LASZIP_VENDOR})
+else()
+    find_package(LASzip MODULE REQUIRED)
+endif()
 
 pybind11_add_module(laszip
         src/laszip.cpp
@@ -24,7 +33,20 @@
         src/python_istreambuf.h
         src/python_ostreambuf.h)
 
-target_link_libraries(laszip PRIVATE LASzip::LASzip)
+if (USE_VENDORED_LASZIP)
+    target_compile_definitions(laszip PRIVATE USE_VENDORED_LASZIP)
+    target_include_directories(laszip
+        PRIVATE
+        src/vendor/${LASZIP_VENDOR}/dll
+    )
+    target_link_libraries(laszip PRIVATE  laszip_base)
+    set_target_properties(laszip
+        PROPERTIES
+        POSITION_INDEPENDENT_CODE TRUE
+    )
+else()
+    target_link_libraries(laszip PRIVATE LASzip::LASzip)
+endif()
 
 install(TARGETS laszip DESTINATION laszip)
 if (WIN32)
