=== debian/changelog ===
python-laszip (0.2.4+ds-1) unstable; urgency=medium

  * Exclude vendored copy of laszip
  * Migrate debian/watch to version 5 format
  * New upstream version 0.2.4+ds
  * Delete obsolete patch for GCC-13
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2
  * Build against laszip system library

 -- Timo Röhling <roehling@debian.org>  Mon, 08 Dec 2025 21:40:08 +0100
