=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  Timo Röhling <roehling@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- cmake,
  dh-python,
  dh-sequence-python3,
- liblaszip-dev,
+ cmake,
+ liblaszip-dev (>= 3.5.0+really3.5.0),
  libpython3-all-dev,
  ninja-build,
  pybind11-dev,
@@ -19,7 +19,7 @@
  python3-pyproject-metadata,
  python3-scikit-build-core,
 Homepage: https://github.com/tmontaigu/laszip-python
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-laszip.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-laszip
@@ -31,13 +31,12 @@
 Package: python3-laszip
 Architecture: any
 Depends:
- ${shlibs:Depends},
  ${misc:Depends},
  ${python3:Depends},
+ ${shlibs:Depends},
 Enhances:
  python3-laspy,
 Description: ${source:Synopsis} (Python 3 module)
  ${source:Extended-Description}
  .
  This package installs the Python 3 module.
-
