=== debian/changelog ===
python-laszip (0.3.0+ds-1) unstable; urgency=medium

  * New upstream version 0.3.0+ds
  * Refresh patch (no functional changes)
  * Bump Standards-Version to 4.7.3

 -- Timo Röhling <roehling@debian.org>  Fri, 02 Jan 2026 22:14:53 +0100
