=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  python3-pyproject-metadata,
  python3-scikit-build-core,
 Homepage: https://github.com/tmontaigu/laszip-python
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-laszip.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-laszip
