=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME = laszip
export CMAKE_ARGS = -DUSE_VENDORED_LASZIP=OFF

%:
	dh $@ --buildsystem=pybuild
