=== debian/watch ===
Version: 5

Template: Github
Owner: tmontaigu
Project: laszip-python
Repack: yes
Repack-Suffix: +ds
Dversion-Mangle: auto
Uversion-Mangle: auto
